Where is MText stacked fraction information stored

Discussion in 'AutoCAD' started by Gordon Price, Apr 29, 2004.

  1. Gordon Price

    Gordon Price Guest

    I have tried training users in how to set this up, and some get it and some
    don't. In addition, some want to use something different from the office
    standard. What I would really like to do is add some code to set it
    automatically to the office standard when a drawing is opened. But where is
    this stored? I assume in the Registry, but I couldn't find anything under
    HKCU or HKLM that made any sense.

    Thanks,
    Gordon
     
    Gordon Price, Apr 29, 2004
    #1
  2. Gordon Price

    Gordon Price Guest

    Yes, but I would like to
    A: have it happen without me going to each computer.
    And B: fix the settings of users who change it just because they can.

    It is one of those things that falls under 'When the standaards are easy to
    use, and anything else is hard, the standards get followed'

    Best,
    Gordon
     
    Gordon Price, Apr 29, 2004
    #2
  3. Gordon Price

    Doug Broad Guest

    Gordon,
    It is available and can be set via the registry. Since some parts
    of the key may vary from user to user or station to station, it
    might be a challenge to come up with a program to search and
    change the keys. On my system, for 2005ADT the registry key is:

    [HKEY_CURRENT_USER\Software\Autodesk\AutoCAD\R16.1\ACAD-304:409\MTEXT]
    "AutoStack"=dword:00000000
    "ConvertStackToArch"=dword:00000000
    "TrimLeadingStackBlank"=dword:00000000

    If you set Autostack to 1 it will autostack. I am not sure about the other values.

    Personally, I will continue to set it inside AutoCAD.

    HTH
     
    Doug Broad, Apr 30, 2004
    #3
  4. Gordon Price

    Steve Doman Guest

    Gordon,

    Here a code clip from my startup stuff which my help you:

    (vl-registry-write
    (strcat "HKEY_CURRENT_USER\\"
    (vlax-product-key)
    "\\MTEXT\\"
    )
    "AutoStack" ;_ toggle fraction stacking
    1 ;_ 0 = off, 1 = on
    )

    (vl-registry-write
    (strcat "HKEY_CURRENT_USER\\"
    (vlax-product-key)
    "\\MTEXT\\"
    )
    "ConvertStackToArch" ;_ toggle diagonal fraction bar
    0 ;_ 0 = diag 1 = straight
    )


    (vl-registry-write
    (strcat "HKEY_CURRENT_USER\\"
    (vlax-product-key)
    "\\MTEXT\\"
    )
    "TrimLeadingStackBlank"
    1 ;_ 0 = off, 1 = on
    )


    (vl-registry-write
    (strcat "HKEY_CURRENT_USER\\"
    (vlax-product-key)
    "\\MTEXT\\Discretionary Dialogs\\"
    )
    "AutoStack Properties" ;_ show autostack prop dialog
    0 ;_ 0 = off, 1 = on
    )

    Steve Doman
     
    Steve Doman, Apr 30, 2004
    #4
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.